curl --request DELETE \
--url https://business-api.onboard.xyz/ledger/subaccounts/{subAccountIdRef} \
--header 'x-api-key: <api-key>'import requests
url = "https://business-api.onboard.xyz/ledger/subaccounts/{subAccountIdRef}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://business-api.onboard.xyz/ledger/subaccounts/{subAccountIdRef}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {},
"error": {
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}
}{
"code": "BAD_REQUEST",
"message": "Request could not be validated."
}{
"code": "UNAUTHORIZED",
"message": "Either client security header is missing or it is not valid."
}{
"code": "ACCESS_DENIED",
"message": "Expected permission or scope is not present."
}{
"code": "NOT_FOUND",
"message": "Information could not be found"
}{
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred."
}Delete Sub-account
This endpoint deletes sub-account by sub-account ID. The sub-account must have zero balance before it can be deleted. The endpoint will return an error if the sub-account has a non-zero balance. The funds in the sub-account must be transferred to another account before deletion. Once an account is deleted, it cannot be recovered, and a new sub-account must be created if needed. The address associated with the sub-account will also be deleted upon successful deletion of the sub-account.
Authorizations
Requires authentication via API key and HMAC signature.
x-api-key: Your API key generated from your Onboard Business dashboard.x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 secondsx-signature: SHA256 HMAC HEX signature calculated overt={x-timestamp}&{requestBody}using your API Secret.
Path Parameters
The unique onboard sub-account ID or reference
Response
Sub-account deleted Successfully
Status data, check additional message field.
Status can be successful or failed, a value of true indicates success.
true
additional message describing status.
Data associated with the status, this will not always be present
Default error object for services. This gives consistent error object that all services may use.
Show child attributes
Show child attributes